axis-java-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ivan <xhh...@gmail.com>
Subject Re: Provide a way to force using the new 216 method retriever ?
Date Tue, 22 Mar 2011 07:38:18 GMT
I opened a JIRA https://issues.apache.org/jira/browse/AXIS2-4984, and attach
a patch. Please help to review it, thanks.

2011/3/21 Ivan <xhhsld@gmail.com>

> Could anyone give any hits for it ? Or there is another way could solve it.
> thanks.
>
>
> 2011/3/18 Ivan <xhhsld@gmail.com>
>
>> Hi,
>>    In the latest Axis2 1.6 branch, I found a new
>> PostRI216MethodRetrieverImpl is provided to keep compatibility with the new
>> specification. Currently, it checks the wsgen version to determine whether
>> to use it or the legacy one. It is a good solution way. But it might be a
>> little difficult in Geronimo (And think that should be same for other
>> servers), to support the new EE spec, they always shipped the new tools, but
>> for applications contains web service, they have no need to access wsgen
>> class, and actually server would pre-generate all the related WSDL and stub
>> classes. So how about adding a system property to force the use of new
>> method retriever ?
>>    Thanks.
>> --
>> Ivan
>>
>
>
>
> --
> Ivan
>



-- 
Ivan

Mime
View raw message